SdFat

Public Member Functions | List of all members
FsBlockDeviceInterface Class Referenceabstract

FsBlockDeviceInterface class. More...

`#include <FsBlockDeviceInterface.h>`

Inheritance diagram for FsBlockDeviceInterface:
[legend]

## Public Member Functions
virtual void | end ()
virtual bool | isBusy ()=0
virtual bool | readSector (uint32_t sector, uint8_t *dst)=0
virtual bool | readSectors (uint32_t sector, uint8_t *dst, size_t ns)=0
virtual uint32_t | sectorCount ()=0
virtual bool | syncDevice ()=0
virtual bool | writeSector (uint32_t sector, const uint8_t *src)=0
virtual bool | writeSectors (uint32_t sector, const uint8_t *src, size_t ns)=0

## Detailed Description

FsBlockDeviceInterface class.

## Member Function Documentation

## ◆ end()

virtual void FsBlockDeviceInterface::end | ( |  | ) |
| inline virtual

end use of device

Reimplemented in SdioCard, and SdCardInterface.

## ◆ isBusy()

virtual bool FsBlockDeviceInterface::isBusy | ( |  | ) |
| pure virtual

Check for FsBlockDevice busy.

Returns
  true if busy else false.

Implemented in SdioCard, and SdCardInterface.

## ◆ readSector()

virtual bool FsBlockDeviceInterface::readSector | ( | uint32_t | sector,
|  | uint8_t * | dst
| ) |  |
| pure virtual

Read a sector.

Parameters

  [in] | sector | Logical sector to be read.
  [out] | dst | Pointer to the location that will receive the data.

Returns
  true for success or false for failure.

Implemented in SdioCard.

## ◆ readSectors()

virtual bool FsBlockDeviceInterface::readSectors | ( | uint32_t | sector,
|  | uint8_t * | dst,
|  | size_t | ns
| ) |  |
| pure virtual

Read multiple sectors.

Parameters

  [in] | sector | Logical sector to be read.
  [in] | ns | Number of sectors to be read.
  [out] | dst | Pointer to the location that will receive the data.

Returns
  true for success or false for failure.

Implemented in SdioCard.

## ◆ sectorCount()

virtual uint32_t FsBlockDeviceInterface::sectorCount | ( |  | ) |
| pure virtual

Returns
  device size in sectors.

Implemented in SdioCard, and SdCardInterface.

## ◆ syncDevice()

virtual bool FsBlockDeviceInterface::syncDevice | ( |  | ) |
| pure virtual

End multi-sector transfer and go to idle state.

Returns
  true for success or false for failure.

Implemented in SdioCard.

## ◆ writeSector()

virtual bool FsBlockDeviceInterface::writeSector | ( | uint32_t | sector,
|  | const uint8_t * | src
| ) |  |
| pure virtual

Writes a sector.

Parameters

  [in] | sector | Logical sector to be written.
  [in] | src | Pointer to the location of the data to be written.

Returns
  true for success or false for failure.

Implemented in SdioCard.

## ◆ writeSectors()

virtual bool FsBlockDeviceInterface::writeSectors | ( | uint32_t | sector,
|  | const uint8_t * | src,
|  | size_t | ns
| ) |  |
| pure virtual

Write multiple sectors.

Parameters

  [in] | sector | Logical sector to be written.
  [in] | ns | Number of sectors to be written.
  [in] | src | Pointer to the location of the data to be written.

Returns
  true for success or false for failure.

Implemented in SdioCard.

The documentation for this class was generated from the following file:

- ArduinoSdFat/libraries/SdFat/src/common/FsBlockDeviceInterface.h